var cover = {
  examName: dataStatic.examName,
  schoolName: dataStatic.schoolName,
  subjectName: dataStatic.subjectName
};
var basic_question_objective = dataStatic.basic_question_objective;
var basic_question_subjective = dataStatic.basic_question_subjective;
var basic_class = dataStatic.basic_class;
var basic_teacher = dataStatic.basic_teacher;
var basic_college = dataStatic.basic_college;
var basic_main_question = dataStatic.basic_main_question;
var basic_question = basic_question_objective.concat(basic_question_subjective);
var basic_sub_question = basic_question.map(function(item, index) {
  return {
    name: item.name,
    number: index + 1,
    difficulty: item.difficulty
  };
});
var discrimination_level = dataStatic.discrimination_level.map(function(item) {
  item.groups.map(function(elem) {
    elem.levels.excellent.questionRate = (
      (100 * elem.levels.excellent.questionCount) /
      elem.questionCount
    ).toFixed(2);
    elem.levels.good.questionRate = (
      (100 * elem.levels.good.questionCount) /
      elem.questionCount
    ).toFixed(2);
    elem.levels.general.questionRate = (
      (100 * elem.levels.general.questionCount) /
      elem.questionCount
    ).toFixed(2);
    elem.levels.bad.questionRate = (
      (100 * elem.levels.bad.questionCount) /
      elem.questionCount
    ).toFixed(2);
  });

  return item;
});
var difficulty_level = dataStatic.difficulty_level.map(function(item) {
  item.groups.map(function(elem) {
    elem.levels.high.questionRate = (
      (100 * elem.levels.high.questionCount) /
      elem.questionCount
    ).toFixed(2);
    elem.levels.middle.questionRate = (
      (100 * elem.levels.middle.questionCount) /
      elem.questionCount
    ).toFixed(2);
    elem.levels.low.questionRate = (
      (100 * elem.levels.low.questionCount) /
      elem.questionCount
    ).toFixed(2);
  });

  return item;
});
dataStatic.basic_question_option.questions = dataStatic.basic_question_option.questions.map(
  function(item) {
    item.optionsRate = {};
    for (key in item.options) {
      item.optionsRate[key] = (
        (100 * item.options[key]) /
        item.totalCount
      ).toFixed(2);
    }
    return item;
  }
);
var basic_question_option = dataStatic.basic_question_option;
// s bli
var range_level = dataStatic.range_level;
var range_10_totalScore = dataStatic.range_10_totalScore;
var range_1_totalScore = dataStatic.range_1_totalScore;
var range_segment_6 = dataStatic.range_segment_6;
